Bug 83400 - USB mouse found by installer but not by boot
USB mouse found by installer but not by boot
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-02-03 17:04 EST by John Reiser
Modified: 2014-03-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-06 18:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/sysconfig/hw.conf by installer (3.76 KB, text/plain)
2003-02-03 17:08 EST, John Reiser
no flags Details
/etc/sysconfig/hwconf as corrected (4.17 KB, text/plain)
2003-02-03 17:10 EST, John Reiser
no flags Details
/etc/modules.conf by installer (135 bytes, text/plain)
2003-02-03 17:11 EST, John Reiser
no flags Details
/etc/modules.conf as corrected (228 bytes, text/plain)
2003-02-03 17:12 EST, John Reiser
no flags Details
boot messages (partial) with only 2*USB in /etc/modules.conf (8.16 KB, text/plain)
2003-02-03 17:24 EST, John Reiser
no flags Details
boot messages (partial) with all 5*USB buses in /etc/modules.conf (8.47 KB, text/plain)
2003-02-03 17:25 EST, John Reiser
no flags Details
/syslog generated by Phoebe when booting from CD-ROM (10.04 KB, text/plain)
2003-02-06 18:51 EST, John Reiser
no flags Details
/etc/modules.conf from install of Phoebe (306 bytes, text/plain)
2003-02-06 18:53 EST, John Reiser
no flags Details
/etc/sysconfig/hwconf generated by Phoebe (4.94 KB, text/plain)
2003-02-06 18:56 EST, John Reiser
no flags Details

  None (edit)
Description John Reiser 2003-02-03 17:04:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
During a fresh graphical install of RHL8.0 Workstation (software development),
the installer finds all 5 USB buses and the USB mouse on the front-of-box
connection.  The mouse works during the install,
even though the BIOS is set to initialize only the "minimal boot" devices, which
includes only 2 of the USB buses, and omits the front-of-box connection.

However, at first boot only 2 of the USB buses get initialized (the ones that
the BIOS sets up; they are the only ones listed in /etc/modules.conf).  Kudzu
detects that tbe USB mouse has been removed and a PS/2 mouse has been added (the
BIOS did this remap by default), and the result is unfriendly (no mouse) unless
you trust kudzu and let kudzu remap the mouse.  /etc/modules.conf should have
listed all 5 USB buses.

Pentium 4 board ASUS P4B266 ACPI BIOS Revision 1005 12/27/2001

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Fresh graphical install RHL8.0 on ASUS P4B266 with BIOS set to init only the
"essential" PCI devices: IDE, 2*USB, VGA.  These other PCI devices are not
initialized: 3*USB, sound, eth0.
2.Boot newly-installed system for first time.

Actual Results:  All 5 USB buses are detected by the installer, and USB mouse
attached to front-of-box USB port works.  However, only 2 USB buses get listed
in /etc/modules.conf.  When booted for the first time, then the newly installed
system says USB mouse has been removed, PS/2 mouse has been added, and there
will be no mouse unless kudzu is allowed to update the configuration.

Expected Results:  All 5 USB buses should be listed in /etc/modules.conf, and
the first boot should not detect any change in configuration, and the mouse
should  work both during install and after first boot, with no complaints,
adjustments, or user intervention.

Additional info:

Google search at install of previous system (RHL7.2) suggested using the kernel
boot option "nopnpbios" in grub.conf.  After adding the 3 other "alias
usb-controllerN ..." statements to modules.conf, and using "nopnpbios" kernel
boot option, then the system boots as expected
(USB mouse, no complaints, no further adjustments needed).
Comment 1 John Reiser 2003-02-03 17:08:55 EST
Created attachment 89817 [details]
/etc/sysconfig/hw.conf by installer

This is what is seen at first boot when only 2*USB appear in /etc/modules.conf
Comment 2 John Reiser 2003-02-03 17:10:00 EST
Created attachment 89818 [details]
/etc/sysconfig/hwconf as corrected

This is what is seen with all 5*USB buses listed in /etc/modules.conf .
Comment 3 John Reiser 2003-02-03 17:11:23 EST
Created attachment 89819 [details]
/etc/modules.conf by installer

This is what the installer creates for /etc/modules.conf .
Comment 4 John Reiser 2003-02-03 17:12:36 EST
Created attachment 89820 [details]
/etc/modules.conf as corrected

This is /etc/modules.conf hand-corrected to list all 5*USB buses.
Comment 5 John Reiser 2003-02-03 17:24:18 EST
Created attachment 89821 [details]
boot messages (partial) with only 2*USB in /etc/modules.conf

This is USB-related messages from /var/log/messages using the installer-created
/etc/modules.conf which lists only 2*USB buses.
Comment 6 John Reiser 2003-02-03 17:25:43 EST
Created attachment 89822 [details]
boot messages (partial) with all 5*USB buses in /etc/modules.conf

This is USB-related lines from /var/log/messages after correcting
/etc/modules.conf to list all 5*USB buses.
Comment 7 Michael Fulbright 2003-02-04 14:57:29 EST
Kudzu maintainer - any ideas?
Comment 8 Bill Nottingham 2003-02-04 15:44:51 EST
Not off the top of my head. The hwconf in the installer looks correct; it's not
obvious why the usb-uhci module isn't in modules.conf.

Does this work better with the Phoebe beta?
Comment 9 John Reiser 2003-02-06 18:49:05 EST
Phoebe beta (original, non-updated ISOs) works better: 3*USB are listed in
/etc/modules.conf, and mouse works at first boot with no complaints or
adjustments.  However the remaining 2*USB are still found the by installer but
not listed in /etc/modules.conf.  I will attach copies of the boot /syslog,
/etc/modules.conf, and /etc/sysconfig/hwconf.
Comment 10 John Reiser 2003-02-06 18:51:25 EST
Created attachment 89908 [details]
/syslog generated by Phoebe when booting from CD-ROM

Very first hardware detection finds 5*USB buses when booting from Phoebe ISO.
Comment 11 John Reiser 2003-02-06 18:53:21 EST
Created attachment 89909 [details]
/etc/modules.conf from install of Phoebe

Phoebe lists 3*USB in /etc/modules.conf (RHL8.0 lists only 2), but still omits
another 2*USB that the machine has.
Comment 12 John Reiser 2003-02-06 18:56:57 EST
Created attachment 89910 [details]
/etc/sysconfig/hwconf generated by Phoebe

It's not clear to me, but maybe all 5*USB are listed in this 'hwconf' from
Phoebe install.
Comment 13 Bill Nottingham 2003-02-06 18:58:48 EST
Phoebe looks fine; you only need one entry for each controller type. So it look
sto be working.

Note You need to log in before you can comment on or make changes to this bug.